# HOBBIT-GHOSTS.CGI

Section: User Commands (1)
Updated: Version 4.2.2: 15 Dec 2008
Index Return to Main Contents

## NAME

hobbit-ghosts.cgi - CGI program to view ghost clients

## SYNOPSIS

hobbit-ghosts.cgi

## DESCRIPTION

hobbit-ghosts.cgi is invoked as a CGI script via the hobbit-ghosts.sh CGI wrapper.

It generates a listing of the Xymon clients that have reported data to the Xymon server, but are not listed in the bb-hosts(5) file. Data from these clients - called "ghosts" - are ignored, since Xymon does not know which webpage to present the data on.

The listing includes the hostname that the client reports with, the IP-address where the report came from, and how long ago the report arrived.

By far the most common reason for hosts showing up here is that the client uses a hostname without a DNS domain, but the bb-hosts file uses the hostname with the DNS domain. Or vice versa. You can then use a CLIENT setting in the bb-hosts file to match the two hostnames together.

## OPTIONS

--env=FILENAME
  Loads the environment defined in FILENAME before executing the CGI script.

## SEE ALSO

bb-hosts(5), hobbitserver.cfg(5)

## Index

NAME
SYNOPSIS
DESCRIPTION
OPTIONS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 12:54:31 GMT, December 15, 2008